using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using TopWinCMS.Common; 
using TopWinCMS.BLL;
namespace TopWinCMS.WebUI.Admin
{
    /// <summary>
    /// Admin_SaveOK 的摘要说明。
    /// </summary>
    public partial class Admin_SaveOK : System.Web.UI.Page
    {
        int ClassID;
        protected void Page_Load(object sender, System.EventArgs e)
        {
            ClassID = int.Parse(Request["ClassID"]);
            if (Request["SaveTitle"] != null)
            {
                TABLE2.Visible = false;
                TABLE3.Visible = false;
                TABLE4.Visible = false;
                string str = new ClassManage().ClassPath(ClassID);

                if (str.Length > 3)
                {
                    str = str.Substring(3, str.Length - 3);//去掉最前面的" → "
                }
                SavePath.Text = str;

                SaveTitle.Text = Request["SaveTitle"];
                SaveAuthor.Text = Request["SaveAuthor"];
                SaveFrom.Text = HTML.NoHTML(Request["SaveFrom"]);
                SaveKey.Text = Request["SaveKey"];

            }
            else if (Request["SaveSoftName"] != null)
            {
                TABLE1.Visible = false;
                TABLE3.Visible = false;
                TABLE4.Visible = false;
                string str = new ClassManage().ClassPath(ClassID);
                if (str.Length > 3)
                {
                    str = str.Substring(3, str.Length - 3);//去掉最前面的" → "
                }
                lblSoftPath.Text = str;
                lblSoftName.Text = Request["SaveSoftName"];


            }

            else if (Request["SaveProductName"] != null)
            {
                TABLE1.Visible = false;
                TABLE2.Visible = false;
                TABLE4.Visible = false;
                string str = new ClassManage().ClassPath(ClassID);
                if (str.Length > 3)
                {
                    str = str.Substring(3, str.Length - 3);//去掉最前面的" → "
                }
                this.lblProductPath.Text = str;
                this.lblProductName.Text = Request["SaveProductName"];
            }

            else if (Request["SaveGoodsName"] != null)
            {
                TABLE1.Visible = false;
                TABLE2.Visible = false;
                TABLE3.Visible = false;
                string str = new ClassManage().ClassPath(ClassID);
                if (str.Length > 3)
                {
                    str = str.Substring(3, str.Length - 3);//去掉最前面的" → "
                }
                this.lblGoodsPath.Text = str;
                this.lblGoodsName.Text = Request["SaveGoodsName"];
            }
        }


    }
}
